package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWF3H3RsAddresses {

    private Map<String, Object> params;
    
    public MWF3H3RsAddresses(Map<String, Object> params) {
        this.params = params;
    }

    public String rsAddressClientId() {
        return (String) params.get("RS_ADDRESS_CLIENT_ID");
    }

    public String rsAddressPurpose() {
        return (String) params.get("RS_ADDRESS_PURPOSE");
    }

    public String rsAddressCountry() {
        return (String) params.get("RS_ADDRESS_COUNTRY");
    }

    public String rsAddressCity() {
        return (String) params.get("RS_ADDRESS_CITY");
    }

    public String rsAddressStreet() {
        return (String) params.get("RS_ADDRESS_STREET");
    }

    public String rsAddressStreetDescNo() {
        return (String) params.get("RS_ADDRESS_STREET_DESC_NO");
    }

    public String rsAddressStreetOrientNo() {
        return (String) params.get("RS_ADDRESS_STREET_ORIENT_NO");
    }

    public String rsAddressZipcode() {
        return (String) params.get("RS_ADDRESS_ZIPCODE");
    }

    public String rsAddressPostOffice() {
        return (String) params.get("RS_ADDRESS_POST_OFFICE");
    }

    public java.util.Date rsAddressSince() {
        return (java.util.Date) params.get("RS_ADDRESS_SINCE");
    } 

}
